MSP430™CapTIvateSoftwareLibraryAPIGuide 1_70_00_03

Functions
CAPT_Buttons

High level button group processing module. More...

## Functions
void | CAPT_processButtons (tSensor *pButtonGroup)
| This API performs processing for a button group. More...
uint8_t | CAPT_getDominantButton (tSensor *pButtonGroup)
| Get the ID of the dominant element. More...
tElement * | CAPT_getDominantButtonAddr (tSensor *pButtonGroup)
| Get the address of the dominant element. More...

## Detailed Description

High level button group processing module.

Version
  VERSION Released on RELEASE_DATE

## Function Documentation

## § CAPT_processButtons()

void CAPT_processButtons | ( | tSensor * | pButtonGroup | ) |

This API performs processing for a button group.

This sensor-level API identifies the button within a button group that has the largest delta. The output of this API is an integer indicating the button that is being pressed the most (based upon a delta comparison). This output is stored in the ui16DominantElement parameter of the tButtonGroup sensor being pointed to. The mapping between integer output and element is based upon the order of the elements and cycles within the sensor.

Parameters

  pButtonGroup | is a pointer to the button group to process

Returns
  none

## § CAPT_getDominantButton()

uint8_t CAPT_getDominantButton | ( | tSensor * | pButtonGroup | ) |

Get the ID of the dominant element.

This function provides easy access to the sensor's dominant element ID.

Parameters

  pSensor | is a pointer to the sensor to query

Returns
  The dominant element, regardless of whether a touch is present.

## § CAPT_getDominantButtonAddr()

tElement* CAPT_getDominantButtonAddr | ( | tSensor * | pButtonGroup | ) |

Get the address of the dominant element.

This function provides easy access to the sensor's dominant element by means of it's address.

Parameters

  pSensor | is a pointer to the sensor to query

Returns
  The address of the dominant element regardless of whether a touch is present.

© Copyright 1995-2018, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale